#-----------------------------------------------------------------------
# File    : hfnd.mak
# Contents: build Hopfield network demonstration
# Author  : Christian Borgelt
# History : 28.01.2003 file created
#           20.07.2006 adapted to Visual Studio 8
#-----------------------------------------------------------------------
THISDIR = ..\..\hfnd\src
UTILDIR = ..\..\util\src

CC      = cl.exe
DEFS    = /D WIN32 /D NDEBUG /D _WINDOWS /D _CRT_SECURE_NO_WARNINGS
CFLAGS  = /nologo /W3 /O2 /GS- $(DEFS) /c
INCS    = /I $(UTILDIR)

RSC     = rc.exe
RFLAGS  = /l 0x407 /d NDEBUG 

LD      = link.exe
LDFLAGS = /nologo /subsystem:windows /incremental:no
LIBS    = user32.lib comdlg32.lib gdi32.lib

HDRS    = $(UTILDIR)\random.h hopfnet.h whfn.rh
OBJS    = $(UTILDIR)\random.obj hopfnet.obj whfn.obj whfn.res
PRGS    = whfn.exe

#-----------------------------------------------------------------------
# Build Program
#-----------------------------------------------------------------------
all:          $(PRGS)

whfn.exe:     $(OBJS) hfnd.mak
	$(LD) $(LDFLAGS) $(OBJS) $(LIBS) /out:$@

#-----------------------------------------------------------------------
# Main Program
#-----------------------------------------------------------------------
whfn.obj:     hopfnet.h whfn.rh whfn.c hfnd.mak
	$(CC) $(CFLAGS) $(INCS) whfn.c /Fo$@

hopfnet.obj:  hopfnet.h hopfnet.c hfnd.mak
	$(CC) $(CFLAGS) $(INCS) hopfnet.c /Fo$@

#-----------------------------------------------------------------------
# Resources
#-----------------------------------------------------------------------
whfn.res:     whfn.rh whfn.rc hfnd.mak
	$(RSC) $(RFLAGS) /fo$@ whfn.rc

#-----------------------------------------------------------------------
# External Modules
#-----------------------------------------------------------------------
$(UTILDIR)\random.obj:
	cd $(UTILDIR)
	$(MAKE) /f util.mak random.obj
	cd $(THISDIR)

#-----------------------------------------------------------------------
# Install
#-----------------------------------------------------------------------
install:
	-@copy $(PRGS) ..\..\..\bin

#-----------------------------------------------------------------------
# Clean up
#-----------------------------------------------------------------------
clean:
	$(MAKE) /f hfnd.mak localclean

localclean:
	-@erase /Q *~ *.obj *.idb *.pch *.res $(PRGS)
